Bug 1028175 - Review Request: rubygem-force_utf8 - Convert any Ruby string to UTF8
Review Request: rubygem-force_utf8 - Convert any Ruby string to UTF8
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 15:28 EST by Ken Dreyer
Modified: 2013-11-23 22:36 EST (History)
2 users (show)

See Also:
Fixed In Version: rubygem-force_utf8-1.0.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 22:36:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ken Dreyer 2013-11-07 15:28:36 EST
Spec URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-force_utf8.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-force_utf8-1.0.0-1.fc21.src.rpm
Description: Convert any Ruby string to UTF8.
Fedora Account System Username: ktdreyer
Comment 1 Ken Dreyer 2013-11-07 15:34:21 EST
F21 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6152507
Comment 2 Mamoru TASAKA 2013-11-07 17:42:07 EST
Taking this one.

I would appreciate it if you would review my review request (bug 1022827 ).
Comment 3 Mamoru TASAKA 2013-11-09 12:28:33 EST
Okay, simple package, approving.

* spec file clean
* build fine on koji
* can be installed
* [tasaka1@localhost ~]$ irb
reqirb(main):001:0> require "force_utf8"
=> true
irb(main):002:0> "漢字".force_utf8 
=> "漢字"
  seems to work

------------------------------------------------------
   This package (rubygem-force_utf8) is APPROVED
   by mtasaka
------------------------------------------------------
Comment 4 Ken Dreyer 2013-11-09 13:22:22 EST
Thanks very much for the review!

New Package SCM Request
=======================
Package Name: rubygem-force_utf8
Short Description: Convert any Ruby string to UTF8
Owners: ktdreyer
Branches: f19 f20
Comment 5 Gwyn Ciesla 2013-11-11 08:07:13 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-11-11 14:15:12 EST
rubygem-force_utf8-1.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-force_utf8-1.0.0-1.fc20
Comment 7 Fedora Update System 2013-11-12 21:00:18 EST
rubygem-force_utf8-1.0.0-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 8 Fedora Update System 2013-11-23 22:36:18 EST
rubygem-force_utf8-1.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.